com.fasterxml.jackson.databind.deser.impl

## Class ValueInjector

- java.lang.Object
- - com.fasterxml.jackson.databind.BeanProperty.Std
  - - com.fasterxml.jackson.databind.deser.impl.ValueInjector

All Implemented Interfaces:
  BeanProperty, Named

    public class ValueInjector
    extends BeanProperty.Std

Class that encapsulates details of value injection that occurs before deserialization of a POJO. Details include information needed to find injectable value (logical id) as well as method used for assigning value (setter or field)

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

`BeanProperty.Std`

### Field Summary

Fields
`protected Object` `_valueId` Identifier used for looking up value to inject

### Fields inherited from class com.fasterxml.jackson.databind.BeanProperty.Std

`_contextAnnotations, _isRequired, _member, _name, _type, _wrapperName`

### Constructor Summary

Constructors
Constructor and Description
`ValueInjector(String propertyName, JavaType type, Annotations contextAnnotations, AnnotatedMember mutator, Object valueId)`

### Method Summary

Methods
`Object` `findValue(DeserializationContext context, Object beanInstance)`
`void` `inject(DeserializationContext context, Object beanInstance)`

### Methods inherited from class com.fasterxml.jackson.databind.BeanProperty.Std

`depositSchemaProperty, getAnnotation, getContextAnnotation, getMember, getName, getType, getWrapperName, isRequired, withType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _valueId

    protected final Object _valueId

Identifier used for looking up value to inject

### Constructor Detail

#### ValueInjector

    public ValueInjector(String propertyName,
                 JavaType type,
                 Annotations contextAnnotations,
                 AnnotatedMember mutator,
                 Object valueId)

### Method Detail

#### findValue

    public Object findValue(DeserializationContext context,
                   Object beanInstance)

#### inject

    public void inject(DeserializationContext context,
              Object beanInstance)
                throws IOException

Throws:
  `IOException`